#
# spec file for package libbluray
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         soname 1
Name:           libbluray
Version:        0.9.3
Release:        59.1
Summary:        Library to access Blu-Ray disk
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://www.videolan.org/developers/libbluray.html
Source0:        http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Patch2:         libbluray-jvm_dir.patch
BuildRequires:  ant
BuildRequires:  java-devel >= 1.6
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library is written for the purpose of playing Blu-ray movies. It is
intended for software that want to support Blu-ray playback (such as VLC and
MPlayer). We, the authors of this library, do not condone nor endorse piracy.

%package -n libbluray%{soname}
Summary:        Library to access Blu-Ray disk
Group:          Productivity/Multimedia/Other

%description -n libbluray%{soname}
This library is written for the purpose of playing Blu-ray movies. It is
intended for software that want to support Blu-ray playback (such as VLC and
MPlayer). We, the authors of this library, do not condone nor endorse piracy.

%package tools
Summary:        Library to access Blu-Ray disk - Utilities
Group:          System/Libraries

%description tools
This library is written for the purpose of playing Blu-ray movies. It is
intended for software that want to support Blu-ray playback (such as VLC and
MPlayer). We, the authors of this library, do not condone nor endorse piracy.

%package devel
Summary:        Library to access Blu-Ray disks - Development files
Group:          Development/Languages/C and C++
Requires:       libbluray%{soname} = %{version}

%description devel
This library is written for the purpose of playing Blu-ray movies. It is
intended for software that want to support Blu-ray playback (such as VLC and
MPlayer). We, the authors of this library, do not condone nor endorse piracy.

%package bdj
Summary:        Library to access Blu-Ray disk - BD-J support
Group:          Development/Libraries/Java
Requires:       java >= 1.6
Requires:       jpackage-utils
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description bdj
This library is written for the purpose of playing Blu-ray movies. It is
intended for software that want to support Blu-ray playback (such as VLC and
MPlayer). We, the authors of this library, do not condone nor endorse piracy.

%prep
%setup -q
%patch2

%build
%configure \
    --disable-static \
    --enable-bdjava \
    --enable-udf
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libbluray%{soname} -p /sbin/ldconfig

%postun -n libbluray%{soname} -p /sbin/ldconfig

%files tools
%defattr(-,root,root)
%{_bindir}/bd_info

%files -n libbluray%{soname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libbluray.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}/
%{_libdir}/libbluray.so
%{_libdir}/pkgconfig/libbluray.pc

%files bdj
%defattr(-, root, root)
%{_javadir}/libbluray-j2se-%{version}.jar

%changelog
* Tue Aug 16 2016 tchvatal@suse.com
- Drop libbluray-autotools.patch as it has no real benefit and if
  something should be upstreamed
* Thu May 19 2016 tchvatal@suse.com
- Fix download url to not fail on network error
* Tue May 17 2016 joerg.lorenzen@ki.tng.de
- Update to version 0.9.3:
  + Add bd_open_files(). This function deprecates old global file
    system hooks.
  + Add flag for on-disc menu support to DISC_INFO.
  + Add configure argument to disable building of JAR file.
  + Add missing player settings enums.
  + Update linux Java search path list and preferred JVM.
  + Enable UDF support by default.
  + Split developer tools from examples.
  + Improve BDJ_EVENT_CHAPTER triggering.
  + Improve main title detection.
  + Improve error resilience.
  + Improve BD-J compability.
  + Improve detecting of working aacs implementation.
  + Improve libmmbd support.
  + Fix BD-J media player stop().
  + Fix restoring playback rate with some BD-J discs.
  + Fix restoring suspended playback time position.
  + Fix current chapter lookup.
  + Fix lost key focus with multi-HScene discs.
  + Fix playback of discs without Top Menu title.
  + Fix caching of some BD-J files from UDF filesystem.
  + Fix stopping playback from HDMV menus.
  + Fix possible errors in win32 .iso image reading.
  + Fix undefined values in DISC_INFO.
  + Fix memory leaks.
- Fixed patch libbluray-jvm_dir.patch.
* Thu Dec  3 2015 joerg.lorenzen@ki.tng.de
- Update to version 0.9.2:
  + Add primary audio stream to bd_select_stream().
  + Improve error resilience.
  + Fix Java 8 compability issues.
  + Fix Android build.
  + Fix SecurityException in AWTAutoShutdown.
  + Fix BD-J check when install path in Windows contains
    non-ASCII chars.
  + Fix jvm.dll loading in Windows ($JAVA_HOME/bin should be in
    dll load path).
  + Fix class translating in recent Java 8 versions.
- Fixed patches libbluray-autotools.patch and libbluray-jvm_dir.patch.
* Wed Nov  4 2015 idonmez@suse.com
- Update to version 0.9.1
  + Improved BD-J security.
  + Improved error resilience.
  + Improved seeking (avoid skipping PAT/PMT/PCR).
  + Fix UO mask check when bd_play_title() is used for Top Menu.
  + Fix re-starting of title bound Xlets when title changes.
  + Fix loading classes with invalid debug info.
* Mon Oct  5 2015 joerg.lorenzen@ki.tng.de
- Update to version 0.9.0:
  + Add functions to read files from VFS.
  + Improved error resilience.
  + Improved BD-J compability.
  + Fix Xlet-initiated font caching.
  + Fix return value when setting BLURAY_PLAYER_SETTING_DECODE_PG.
  + Fix build with C++ compiler
* Mon Aug 10 2015 olaf@aepfle.de
- Fix build in SLE_11
* Fri May 22 2015 joerg.lorenzen@ki.tng.de
- Update to version 0.8.1:
  + Notify application when UO mask changes.
  + Improved error resilience.
  + Improved BD-J compability.
  + Fix crash after bd_open(NULL).
  + Fix compability problem with libbdplus.
  + Fix memory leak in UDF filesystem parser.
  + Fix crash in freetype.
* Thu Apr 30 2015 joerg.lorenzen@ki.tng.de
- Update to version 0.8.0:
  + Add security checks to BD-J.
  + Add support for UDF image files and unmounted discs.
  + Add UDF volume identifier to DISC_INFO.
  + Add bd_init(), bd_open_disc() and bd_open_stream().
  + Add /usr/share/libbluray/lib/ to .jar file search paths.
  + Add BD_EVENT_PLAYLIST_STOP (playlist playback is interrupted).
  + Accept directory name (without .jar file name) in LIBBLURAY_CP.
  + Improved error resilence.
  + Improve BD-J compability.
  + Fix Java 8u40 compability.
  + Fix infinite loop with some broken HDMV menus.
- Fixed patches libbluray-autotools.patch and libbluray-jvm_dir.patch.
- Build with UDF support.
* Fri Mar  6 2015 tchvatal@suse.com
- Put the configure args each on its own line
* Tue Feb 10 2015 tchvatal@suse.com
- Use proper homepage.
* Tue Jan 27 2015 joerg.lorenzen@ki.tng.de
- Update to version 0.7.0:
  + Add player setting for BD-J persistent storage and cache paths.
  + Add support for system fonts. BD-J fonts in jre/lib/fonts/
    are not required anymore.
  + Add BD-J organization ID and disc ID to BLURAY_DISC_INFO.
  + Release still mode when BD-J terminates.
  + Implement BD-J caching.
  + Improve BD-J compability.
  + Java 8 compability fixes.
  + Fix storage size for bdjo object reference in BLURAY_DISC_INFO.
  + Fix BD-J on-disc font usage.
  + Fix animations in some BD-J menus.
  + Fix BD-J storage path charset issues in Windows.
* Fri Dec 19 2014 joerg.lorenzen@ki.tng.de
- Added patch libbluray-jvm_dir.patch to set the correct path to
  java lib because variable JAVA_HOME on openSUSE is defined
  as '/usr/<LIB>/jvm/jre' by update-alternatives.
* Thu Dec 18 2014 joerg.lorenzen@ki.tng.de
- Enable BD-J support.
* Wed Dec 17 2014 joerg.lorenzen@ki.tng.de
- Update to version 0.6.2:
  + Fix possible subtitle corruption after seek.
  + Fix some main path embedded HDMV menus.
  + Fix reading outside of source image in BD-J drawImage().
  + Fix missing BD_EVENT_ERROR when BD-J is not supported.
  + Several stability and code quality fixes.
- Version 0.6.1:
  + Fix stream position when seamless angle change point is at
    clip boundary.
  + Fix Mac OS X jni compilation
  + Fix bd_seek() jumping outside of clip/playlist.
  + Fix crash when stream selection is changed after playlist end.
  + Fix J2ME build.
  + Fix seamless angle change.
  + Fix freetype2 resource leaks on shutdown.
  + Improve duplicate playlist detection.
- Version 0.6.0:
  + Improved BD-J support (Most BD-J discs are correctly played).
  + Mark BD-J titles supported in BLURAY_DISC_INFO if BD-J is
    functional.
  + Install .jar files to datadir (/usr/share/java/) instead of
    libdir.
  + Added version number to .jar file names.
  + Added JNI headers for BD-J (cross) compilation.
  + Added HDMV/BD-J title information to BLURAY_DISC_INFO.
  + Added disc application info to BLURAY_DISC_INFO.
  + Added bd_set_rate().
  + Added color keys (RED, GREEN, YELLOW, BLUE).
  + Improved error resilence.
  + Fix build without libxml.
- Version 0.5.0:
  + Portability fixes.
  + Build system updates.
  + Improved BD-J support (still alpha).
  + Improved updating of application-allocated ARGB frame buffer.
  + Get JRE library location from registry (Windows).
  + Added bd_get_main_title().
  + Added BD_EVENT_ERROR when title playback fails.
  + Added BD-J flags to disc info.
  + Added support for user timeout in HDMV menus.
  + Added cropping of RLE images. Cropping values in overlay are
    now always 0.
  + Added support for LIBAACS_PATH and LIBBDPLUS_PATH environment
    variables.
  + Added timestamp based m2ts stream filtering.
- Removed patch use-recommended-freetype-include.patch,
  fixed upstream.
* Wed Jan  1 2014 crrodriguez@opensuse.org
- Select the C standard to be used with autoconf macros
  instead of passing std=c99.
- Correct CPPFLAGS and CFLAGS
- Ensure config.h is always included, in 32 bit OS the library
  was using both fopen() and fopen64() this will cause
  problems with largefiles due to _FILE_OFFSET_BITS=64 beign
  used inconsistenly.
- Patch name : libbluray-autotools.patch
* Wed Dec 11 2013 hrvoje.senjan@gmail.com
- Added use-recommended-freetype-include.patch -- Freetype upstream
  recommends using their macros together with ft2build include.
  Positive sideeffect is that this patch makes it build with both
  freetype2 2.5.1, and older version
* Fri Oct  4 2013 zaitor@opensuse.org
- Update to version 0.4.0:
  + Fixed slide shows: always cut reads at clip end boundary.
  + Fixed logging with non-default mask.
  + Fixed buffer overflow in bd_psr_unregister_cb().
  + Fixed IG background when button image position changes.
  + Fixed BD-J tearing issues.
  + Changed default PhoneME library name in Windows (cvm -> cvmi).
  + Initialize default player region code to B.
  + Improved BD-J support (still alpha).
  + Improved language-based stream autoselection.
  + Added missing Java files to distribution package.
  + Added support for multi-clip sub paths.
  + Added bd_select_stream().
  + Added menu page effects.
  + Added button animations.
  + Added initial support for BluRay Text Subtitles.
  + Added bd_read_clpi(): use only public API in clpi_dump.
  + Added reference-counted RLE images.
- Add pkgconfig(freetype2) BuildRequires, new dependency.
* Tue May  7 2013 dimstar@opensuse.org
- Update to version 0.3.0:
  + Build fixes.
  + Fixed stopping playback from pop-up menu.
  + Fixed multithreading issues in API.
  + Fixed initial setting for player profile.
  + Fixed stack corruption with long log strings.
  + Improved configure script.
  + Improved Visual Studio support.
  + Improved BD-J support (still alpha).
  + Allow changing player version.
  + Added PG (subtitle) decoding and rendering support.
  + Added ARGB overlay interface for BD-J graphics.
  + Added events for discontinuity, idle state and 3D mode.
  + Added playmarks to BLURAY_TITLE_INFO.
  + added start time, in time and out time to BLURAY_CLIP_INFO.
  + added sub-path id to BLURAY_STREAM_INFO.
  + Added bd_seek_playitem().
  + Added bd_set_scr().
  + Added 3D extension data to raw clip info.
  + added 3D player settings.
  + Added cropping and palette update flag to BD_OVERLAY.
- Add  pkgconfig(libxml-2.0) BuildRequires: new dependency.
* Sat Sep 15 2012 dimstar@opensuse.org
- Update to version 0.2.3:
  + Default to stream 0 when language not found
  + Bug fixes
- Add tools subpackage, with the new command line utilities.
* Fri May 25 2012 dimstar@opensuse.org
- Update to version 0.2.2:
  + Fixed displaying of single-loop animated buttons when not using
    animations
  + Added events for pop-up menu availability and IG menu status
  + Fixed resuming to interactive title
  + Use user filesystem handler with libaacs
  + Fixes to HDMV menu rendering
  + Optimized HDMV menu rendering
  + Support for sound effects in HDMV menus
  + Fixes to HDMV menu decoding
  + Distribute BD-J code
* Mon Jan  9 2012 vuntz@opensuse.org
- Add baselibs.conf, to build 32bit packages, as needed by gvfs.
* Sat Dec  3 2011 idoenmez@suse.de
- Fix soname version to 1
* Fri Dec  2 2011 dimstar@opensuse.org
- Update to version 0.2.1:
  + Make library version information visible to applications.
  + First released tarball.
- Remove automake BuildRequires: this is now a real release that
  was already bootstrapped.
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Nov 16 2011 dimstar@opensuse.org
- Initial package, version 0.1.99 (a git-snapshot)
